Skip to content

bots.memoryBot

GET
/v1/bots/{botId}/memory/bot
curl --request GET \
--url https://example.com/v1/bots/example/memory/bot \
--header 'Authorization: Bearer <token>'

Reads the settings of the memory Bot that keeps the memory of this Bot. It needs bots.write on a Bot that is not linked.

botId
required
string
>= 1 characters <= 128 characters

Success

Media typeapplication/json
object
instructions
required
string
concurrency
integer
> 0 <= 9007199254740991
budget
object
period
required
string
Allowed values: day month
limitMicros
required
integer
<= 9007199254740991
revision
required
integer
<= 9007199254740991

Example

{
"budget": {
"period": "day"
}
}

BotInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

BotNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

@nmnmcc/ability/Authorizer/Pending | BotConflict

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Pending
ticket
required
string
reason
string

Example

{
"_tag": "Pending"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

BotStorageUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PolicyUnavailable

Example

{
"_tag": "PolicyUnavailable"
}